data:extend(
	{
		{
			type = "unit",
			name = "my-small-biter",
			icon = "__base__/graphics/icons/small-biter.png",
			flags = {"placeable-player", "placeable-enemy", "placeable-off-grid", "breaths-air"},
			max_health = 15,
			order = "b-b-a",
			subgroup="enemies",
			healing_per_tick = 0.01,
			collision_box = {{-0.2, -0.2}, {0.2, 0.2}},
			selection_box = {{-0.4, -0.7 - 3}, {0.7, 0.4 - 3}},
			attack_parameters =
			{
				type = "projectile",
				range = 0.5,
				cooldown = 35,
				ammo_category = "melee",
				ammo_type =
				{
					category = "melee",
					target_type = "entity",
					action =
					{
						type = "direct",
						action_delivery =
						{
							type = "instant",
							target_effects =
							{
								type = "damage",
								damage = { amount = 6, type = "physical"}
							}
						}
					}
				},
				sound =
				{
					{
						filename = "__base__/sound/creatures/biter-roar-1.ogg",
						volume = 0.5
					},
					{
						filename = "__base__/sound/creatures/biter-roar-2.ogg",
						volume = 0.5
					},
					{
						filename = "__base__/sound/creatures/biter-roar-3.ogg",
						volume = 0.5
					},
					{
						filename = "__base__/sound/creatures/biter-roar-4.ogg",
						volume = 0.5
					},
					{
						filename = "__base__/sound/creatures/biter-roar-5.ogg",
						volume = 0.5
					},
					{
						filename = "__base__/sound/creatures/biter-roar-6.ogg",
						volume = 0.5
					}
				},
				animation =
				{
					layers=
					{
						{
							width = 279,
							height = 184,
							frame_count = 11,
							direction_count = 16,
							shift = {0.5 * 1.74609, 0.5 * -0.644531 -3},
							animation_speed = 0.3,
							scale = 0.5,
							stripes =
							{
								{
									filename = "__base__/graphics/entity/biter/biter-attack-1.png",
									width_in_frames = 6,
									height_in_frames = 8,
								},
								{
									filename = "__base__/graphics/entity/biter/biter-attack-2.png",
									width_in_frames = 5,
									height_in_frames = 8,
								},
								{
									filename = "__base__/graphics/entity/biter/biter-attack-3.png",
									width_in_frames = 6,
									height_in_frames = 8,
								},
								{
									filename = "__base__/graphics/entity/biter/biter-attack-4.png",
									width_in_frames = 5,
									height_in_frames = 8,
								}
							}
						},
						{
							filename = "__base__/graphics/entity/biter/biter-attack-mask1.png",
							flags = { "mask" },
							width = 125,
							height = 108,
							frame_count = 11,
							direction_count = 16,
							shift = {0.5 * 0.117188, 0.5 * -1.11328-3},
							scale = 0.5,
							tint = {r=0.56, g=0.46, b=0.42, a=0.65},
						},
						{
							filename = "__base__/graphics/entity/biter/biter-attack-mask2.png",
							flags = { "mask" },
							width = 114,
							height = 100,
							frame_count = 11,
							direction_count = 16,
							shift = {0.5 * 0.117188, 0.5 * -1.06641-3},
							scale = 0.5,
							tint = {r=1, g=0.63, b=0, a=0.4}
						}
					}
				}
			},
			vision_distance = 30,
			movement_speed = 0.2,
			distance_per_frame = 0.1,
			pollution_to_join_attack = 200,
			distraction_cooldown = 300,
			corpse = "small-biter-corpse",
			dying_explosion = "blood-explosion-small",
			dying_sound =  {
				{
					filename = "__base__/sound/creatures/biter-death-1.ogg",
					volume = 1
				},
				{
					filename = "__base__/sound/creatures/biter-death-2.ogg",
					volume = 1
				},
				{
					filename = "__base__/sound/creatures/biter-death-3.ogg",
					volume = 1
				},
				{
					filename = "__base__/sound/creatures/biter-death-4.ogg",
					volume = 1
				},
				{
					filename = "__base__/sound/creatures/biter-death-5.ogg",
					volume = 1
				}
			},
			working_sound =  {
				{
					filename = "__base__/sound/creatures/biter-call-1.ogg",
					volume = 0.7
				},
				{
					filename = "__base__/sound/creatures/biter-call-2.ogg",
					volume = 0.7
				},
				{
					filename = "__base__/sound/creatures/biter-call-3.ogg",
					volume = 0.7
				},
				{
					filename = "__base__/sound/creatures/biter-call-4.ogg",
					volume = 0.7
				},
				{
					filename = "__base__/sound/creatures/biter-call-5.ogg",
					volume = 0.7
				}
			},
			run_animation =
			{
				layers=
				{
					{
						width = 169,
						height = 114,
						frame_count = 16,
						direction_count = 16,
						shift = {0.5 * 0.714844, 0.5 * -0.246094-3},
						scale = 0.5,
						stripes =
						{
							{
								filename = "__base__/graphics/entity/biter/biter-run-1.png",
								width_in_frames = 8,
								height_in_frames = 16,
							},
							{
								filename = "__base__/graphics/entity/biter/biter-run-2.png",
								width_in_frames = 8,
								height_in_frames = 16,
							}
						}
					},
					{
						filename = "__base__/graphics/entity/biter/biter-run-mask1.png",
						flags = { "mask" },
						width = 105,
						height = 81,
						frame_count = 16,
						direction_count = 16,
						shift = {0.5 * 0.117188, 0.5 * -0.867188-3},
						scale = 0.5,
						tint = {r=0.56, g=0.46, b=0.42, a=0.65}
					},
					{
						filename = "__base__/graphics/entity/biter/biter-run-mask2.png",
						flags = { "mask" },
						line_length = 16,
						width = 95,
						height = 81,
						frame_count = 16,
						direction_count = 16,
						shift = {0.5 * 0.117188, 0.5 * -0.855469-3},
						scale = 0.5,
						tint = {r=1, g=0.63, b=0, a=0.4}
					}
				}
			}
		}
	}
)
